"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Grid = void 0;
const react_1 = __importDefault(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const context_1 = require("./context");
const Grid = ({ children, cols = { xs: 1 }, style }) => {
    return (react_1.default.createElement(context_1.GridContext.Provider, { value: {
            cols,
        } },
        react_1.default.createElement(GridContainer, { "aria-label": "grid", style: [style] }, children)));
};
exports.Grid = Grid;
const GridContainer = native_1.default.View(() => {
    return {
        display: 'flex',
    };
});
